package com.cool.bang.modules.business.mapper;

import com.cool.bang.common.base.BaseMapper;
import com.cool.bang.modules.business.domain.JobCustomer;
import com.cool.bang.modules.business.domain.LpbHouse;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
* 客源
*
* @author Sy
* 2024-10-21 18:05
*/
@Repository
public interface JobCustomerMapper extends BaseMapper<JobCustomer> {

    List<LpbHouse> selectByLpbHouse(Integer customerId);

    List<JobCustomer> selectByConsultList(Integer customerId);

    Integer selectCountByOpenid(Long houseId,String openid);

    JobCustomer selectByOpenid(String openid);

    JobCustomer selectByPhone(String phone);

}


